Announcement

Collapse
No announcement yet.

New version for HS2.0

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • New version for HS2.0

    Hi

    Is there an updated version of this plugin for HS2.0 my one reports version 1.13.0.2

    This one appears to work ok but I get the "GetDevice is not reliable for device enumeration" messages at startup.

    Phil

  • #2
    1.13.0.2 is the most recent version. I just double checked the log from the last time I restarted (2041) and there were no errors logged.
    jim

    Comment


    • #3
      I just searched the source to ADIOcelot and there were no hs.GetDevice statements. Are you certain the message pertains to this plugin?

      Comment


      • #4
        Micheal

        Seems to be something to do with the SECU16 unit, here's an extract from my log:-

        05/01/2006 21:53:16 ~!~ADIOcelot~!~Version 1.7.0 Registered with Homeseer
        05/01/2006 21:53:19 ~!~ADIOcelot~!~Found CPU-XA/Ocelot
        05/01/2006 21:53:19 ~!~ADIOcelot~!~Ocelot IR size: 1024
        05/01/2006 21:53:21 ~!~ADIOcelot~!~Unit found: SECU16IR Addr: 1
        05/01/2006 21:53:22 ~!~WARNING~!~GetDevice is not reliable for device enumeration. Please use the new GetDeviceEnumerator method.
        05/01/2006 21:53:22 ~!~WARNING~!~GetDevice is not reliable for device enumeration. Please use the new GetDeviceEnumerator method.
        05/01/2006 21:53:22 ~!~WARNING~!~GetDevice is not reliable for device enumeration. Please use the new GetDeviceEnumerator method.
        05/01/2006 21:53:22 ~!~WARNING~!~GetDevice is not reliable for device enumeration. Please use the new GetDeviceEnumerator method.

        If I run this on my test machine that is not actually connect to the Oceleot the message does not appear.

        The plugin shows a modifed date of 7th Dec 2005 and when I right click and select version I get 1.13.0.2 even though the log and the config dialog show version 1.7

        I am only using the Ocelot as a device for sending IR to specific outputs on the SECU unit, nothing else, so HS only has in enabled as a IR device.

        Thanks
        Phil

        Comment


        • #5
          Micheal

          Sorted it.

          Even though the 1.13 version was in the hs2 folder, Homeseer was loading the 1.7 version from the old hs folder. So I've deleted all enties I could find in the registry and resarted HS2, and alls ok.

          Strange how you can look at something for days and it's not until you post a querry the solution dawns on you.

          Sorry to trouble you.
          Phil

          Comment

          Working...
          X